<mat-card id="sizeLoginForm" class="d-flex justify-content-center flex-column col-md-6 col-lg-4">
<div class="d-flex justify-content-center">
    <img mat-card-image src="../../assets/img/logo.png" alt="logo garden">
</div>
    <form [formGroup]="loginForm" (ngSubmit)="login()" class="col-12">
        <mat-card-header class="d-flex justify-content-center">
            <mat-card-title>
                <h2 class="text-center">Connexion</h2>
            </mat-card-title>
            <mat-card-subtitle>
                <h5>Accéder à Gardens</h5>
            </mat-card-subtitle>
        </mat-card-header>
        <mat-card-content class=" d-flex flex-column align-items-center">

            <mat-form-field class="col-12">
                <div class="input-group input-group-lg">
                    <div class="input-group-prepend col-12">
                        <input matInput placeholder="Enter your email" class="col-12"  formControlName="username" required>
                        <button mat-icon-button matSuffix>
                            <mat-icon class="d-flex align-items-center">
                                email
                            </mat-icon>
                        </button>
                    </div>
                </div>
                <mat-error *ngIf="loginForm.value.username.invalid">{{getErrorMessage()}}</mat-error>

            </mat-form-field>

            <mat-form-field class="col-12">
                <div class="input-group input-group-lg">
                    <div class="input-group-prepend col-12">
                        <input matInput placeholder="Enter your password"class="col-12" formControlName="password"
                            [type]="hide ? 'password' : 'text'">
                        <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                            [attr.aria-pressed]="hide">
                            <mat-icon class="d-flex align-items-center">
                                {{hide ? 'visibility_off' : 'visibility'}}
                            </mat-icon>
                        </button>
                    </div>
                </div>
            </mat-form-field>
        </mat-card-content>
        <mat-card-actions>
            <div class="d-flex justify-content-between">
                <button routerLink="/register" mat-button color="primary">Créer un compte</button>
                <button mat-raised-button color="primary" [disabled]="!loginForm.valid" >Valider</button>
            </div>
        </mat-card-actions>
    </form>
</mat-card>